<template>
  <footer class="bg-grey-40">
    <div
      v-show="!isFooterActive"
      class="flex flex-col items-center justify-center pt-12 pb-10 mx-4 border-b border-white md:py-20 lg:pt-42 lg:pb-36 md:mx-10 lg:mx-14"
    >
      <h5
        class="text-base2 md:text-5xl lg:text-5.5xl text-white font-secondary-font-regular"
      >
        Let’s stay connected.
      </h5>
      <form
        class="flex flex-col items-center justify-center w-full pt-8 md:flex-row md:items-start"
      >
        <MKTextInput
          label="Email"
          rules="email"
          class="w-64 mr-4 bg-white rounded-full"
          :footer="[true, 'h-9', 'h-9', '-z-1', '-top-10']"
          variant="outline-none"
          placeholder="Enter your email"
        />
        <MKButton
          footer=" border-2 border-white hover:bg-white hover:text-black bg-grey-40 leading-10  mt-6 md:mt-0 md:py-0"
          button-title="Subscribe"
        />
      </form>
      <p class="pt-8 text-xs text-white font-primary-font-regular">
        Sign up to receive our newsletter and exclusive offers.
      </p>
    </div>
    <div
      v-show="isFooterActive"
      class="flex flex-col items-center justify-center mx-4 border-b border-white md:py-10"
    ></div>
    <div
      class="flex flex-wrap justify-around pt-6 pb-6 mx-4 text-xs text-grey-20 lg:pb-0 font-primary-font-light md:mx-10 lg:mx-16"
    >
      <div
        class="grid w-full grid-cols-3 gap-8 pb-6 lg:w-1/2 md:gap-20 md:pl-4 lg:pb-0 lg:pr-14"
      >
        <ul class="">
          <li>
            <h6 class="pb-2 text-white font-primary-font-bold">
              Air purifiers
            </h6>
          </li>
          <li class="mb-1">
            <NuxtLink to="/air-purifier-mini" class="">Air Mini</NuxtLink>
          </li>
          <li class="mb-1">
            <NuxtLink to="/air-purifier-mini" class="">Air Mini+</NuxtLink>
          </li>
          <li class="mb-1">
            <NuxtLink to="/air-purifier-air" class="">Air</NuxtLink>
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/air-purifier-air-pro"
              target="_blank"
              class=""
              >Air Pro for home</a
            >
          </li>
          <li class="mb-1">
            <NuxtLink to="/air-purifier-air-pro" class=""
              >Air Pro for business</NuxtLink
            >
          </li>
          <li class="mb-1">
            <NuxtLink to="/air-purifier-pro-rx" class="">Air Pro RX</NuxtLink>
          </li>
        </ul>
        <ul class="">
          <li>
            <h6 class="pb-2 text-white font-primary-font-bold">Filters</h6>
          </li>
          <li class="mb-1">
            <NuxtLink to="/filters" class="">Replacement filters</NuxtLink>
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/shop#Replacementparts"
              target="_blank"
              class=""
              >Air replacement parts</a
            >
          </li>
        </ul>
        <ul class="">
          <li>
            <h6 class="pb-2 text-white font-primary-font-bold">Company</h6>
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/about" target="_blank" class=""
              >About</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/careers" target="_blank" class=""
              >Careers</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://help.molekule.com/hc/en-us/requests/new"
              target="_blank"
              class=""
              >Contact</a
            >
          </li>
          <li class="mb-1">
            <NuxtLink to="/healthcare" class="">Healthcare</NuxtLink>
          </li>
          <li class="mb-1">
            <a href="https://www.business.molekule.com" target="_blank" class=""
              >Business</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/press" target="_blank" class=""
              >Press</a
            >
          </li>
        </ul>
      </div>
      <div
        class="grid w-full grid-cols-3 gap-8 pt-6 border-t border-white lg:w-1/2 md:gap-20 md:pl-4 lg:pl-14 lg:border-0 lg:pt-0"
      >
        <ul class="">
          <li>
            <h6 class="pb-2 text-white font-primary-font-bold">Resources</h6>
          </li>
          <li class="mb-1">
            <a href="https://molekule.science/" target="_blank" class=""
              >Blog</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/papers" target="_blank" class=""
              >Papers</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/air-mini-reviews"
              target="_blank"
              rel=""
              class=""
              >Air Mini reviews</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/air-reviews" target="_blank" class=""
              >Air reviews</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/air-pro-reviews"
              target="_blank"
              rel=""
              class=""
              >Air Pro reviews</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://help.molekule.com/hc/en-us"
              target="_blank"
              rel=""
              class=""
              >Support</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/military-healthcare-professionals-first-responder-teacher-discount"
              target="_blank"
              rel=""
              class=""
              >Frontline discount</a
            >
          </li>
        </ul>
        <ul class="">
          <li>
            <h6 class="font-primary-font-bold pb-2 text-white">Where to buy</h6>
          </li>
          <li class="mb-1">
            <a href="https://molekule.com/where-to-buy" target="_blank" class=""
              >Retailers</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/ca-en/?redirect=0"
              target="_blank"
              class=""
              >Canada</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.jp/" target="_blank" rel="" class=""
              >Japan</a
            >
          </li>
          <li class="mb-1">
            <a href="https://molekule.kr/" target="_blank" rel="" class=""
              >Korea</a
            >
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/in-en/?redirect=0"
              target="_blank"
              rel=""
              class=""
              >India</a
            >
          </li>
        </ul>
        <ul class="">
          <li>
            <h6 class="pb-2 text-white font-primary-font-bold">
              Accessibility
            </h6>
          </li>
          <li class="mb-1">
            <a
              href="https://molekule.com/accessibility-commitment"
              target="_blank"
              class="pb-2"
              >Accessibility Statement</a
            >
          </li>
        </ul>
      </div>
    </div>
    <div
      class="flex flex-col justify-between pt-6 mx-4 text-xs text-white border-t border-white lg:border-0 lg:py-16 lg:flex-row md:mx-10 lg:mx-16 font-primary-font-regulat"
    >
      <p class="order-3 text-center lg:order-1 pb-14 lg:pb-0 lg:text-left">
        © 2021 Molekule. All rights reserved.
      </p>
      <NuxtLink
        to="/"
        class="flex justify-center order-2 pt-12 pb-4 lg:pt-0 lg:pb-0 lg:justify-start"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 197.1 21.7"
          role="img"
          aria-labelledby="logo2-title"
          fill="#fff"
          class="w-28"
        >
          <title id="logo2-title">Molekule</title>
          <path
            d="M3.1 5.6L10 15.8h.5l6.9-10.2v15.8h3.1V0h-2.9l-7.3 10.9L3 0H0v21.4h3.1zM71.7 18.5H60.1V0H57v21.4h14.7zM96.7 18.5H83.9v-6.4h11.3V9.2H83.9V2.9h12.6V0H80.8v21.4h15.9zM108.9 15.6l4-4 7.8 9.8h3.9l-9.5-12 9.2-9.4h-4.1l-11.3 11.7V0h-3.1v21.4h3.1zM140.7 21.7c5.6 0 9-3.6 9-9.5V0h-3.1v12.4c0 4.1-2.1 6.4-5.8 6.4-3.7 0-5.9-2.4-5.9-6.5V0h-3.1v12.4c0 5.7 3.4 9.3 8.9 9.3zM174.2 18.5h-11.6V0h-3.1v21.4h14.7zM197.1 18.5h-12.7v-6.4h11.2V9.2h-11.2V2.9H197V0h-15.7v21.4h15.8zM38.7 0c-4.3 0-7.9 3.5-7.9 7.9s3.5 7.9 7.9 7.9c4.3 0 7.9-3.5 7.9-7.9S43.1 0 38.7 0zm0 12.6c-2.6 0-4.7-2.1-4.7-4.7s2.1-4.7 4.7-4.7 4.7 2.1 4.7 4.7c.1 2.6-2 4.7-4.7 4.7z"
          />
        </svg>
      </NuxtLink>
      <ul
        class="flex order-1 pb-6 border-b border-white lg:order-3 lg:border-0 lg:pb-0 md:pl-4"
      >
        <li class="pr-6 md:pr-20 lg:pr-4">
          <a
            href="https://molekule.com/legal#privacy"
            target="_blank"
            rel="nofollow"
            class="bottomNavLink_1oiQj"
            >Privacy policy</a
          >
        </li>
        <li class="px-6 md:px-20 lg:pr-4 lg:pl-0">
          <a
            href="https://molekule.com/legal#ccpa"
            target="_blank"
            rel="nofollow"
            class="bottomNavLink_1oiQj"
            >Do not sell</a
          >
        </li>
        <li class="px-6 md:px-20 lg:pr-4 lg:pl-0">
          <a
            href="https://molekule.com/legal#terms"
            target="_blank"
            rel="nofollow"
            class="bottomNavLink_1oiQj"
            >Terms of service</a
          >
        </li>
        <li class="md:pl-20 lg:pl-0">
          <a
            href="https://molekule.com/returns-and-warranty"
            target="_blank"
            rel="nofollow"
            class="bottomNavLink_1oiQj"
            >Return policy</a
          >
        </li>
      </ul>
    </div>
  </footer>
</template>

<script>
import MkButton from '~/components/form/MkButton.vue'
import MKTextInput from '~/components/form/MKTextInput.vue'
export default {
  name: 'MkFooter',
  components: { MKTextInput, MkButton },
  computed: {
    isFooterActive() {
      return this.$route.path.includes('/healthcare-inquiries')
    },
  },
}
</script>
